## org.apache.poi.xslf.usermodel
Class XSLFShadow

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFShape
          org.apache.poi.xslf.usermodel.XSLFSimpleShape
              org.apache.poi.xslf.usermodel.XSLFShadow

    public class XSLFShadow

extends XSLFSimpleShape

Represents a shadow of a shape. For now supports only outer shadows.

Author:
  Yegor Kozlov

Method Summary
`void` `draw(java.awt.Graphics2D graphics, java.awt.Shape outline)`
`void` `fill(java.awt.Graphics2D graphics, java.awt.Shape outline)`
`java.awt.geom.Rectangle2D` `getAnchor()`
`double` `getAngle()`
`double` `getBlur()`
`double` `getDistance()`
`java.awt.Color` `getFillColor()`
`void` `setAnchor(java.awt.geom.Rectangle2D anchor)`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSimpleShape

`draw, drawContent, getCTPlaceholder, getFlipHorizontal, getFlipVertical, getLineCap, getLineColor, getLineDash, getLineHeadDecoration, getLineHeadLength, getLineHeadWidth, getLineTailDecoration, getLineTailLength, getLineTailWidth, getLineWidth, getNvPr, getRotation, getShadow, getShapeId, getShapeName, getShapeType, getSheet, getSpPr, getSpStyle, getXmlObject, setFillColor, setFlipHorizontal, setFlipVertical, setLineCap, setLineColor, setLineDash, setLineHeadDecoration, setLineHeadLength, setLineHeadWidth, setLineTailDecoration, setLineTailLength, setLineTailWidth, setLineWidth, setRotation, setShapeType`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFShape
`applyTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### fill

    public void fill(java.awt.Graphics2D graphics,
                     java.awt.Shape outline)

### draw

    public void draw(java.awt.Graphics2D graphics,
                     java.awt.Shape outline)

### getAnchor

    public java.awt.geom.Rectangle2D getAnchor()

  Overrides:
    `getAnchor` in class `XSLFSimpleShape`
  Returns:
    the position of this shape within the drawing canvas. The coordinates are expressed in points

### setAnchor

    public void setAnchor(java.awt.geom.Rectangle2D anchor)

  Overrides:
    `setAnchor` in class `XSLFSimpleShape`
  Parameters:
    `anchor` - the position of this shape within the drawing canvas. The coordinates are expressed in points

### getDistance

    public double getDistance()

  Returns:
    the offset of this shadow in points

### getAngle

    public double getAngle()

  Returns:
    the direction to offset the shadow in angles

### getBlur

    public double getBlur()

  Returns:
    the blur radius of the shadow TODO: figure out how to make sense of this property when rendering shadows

### getFillColor

    public java.awt.Color getFillColor()

  Overrides:
    `getFillColor` in class `XSLFSimpleShape`
  Returns:
    the color of this shadow. Depending whether the parent shape is filled or stroked, this color is used to fill or stroke this shadow

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.